org.eclipse.rdf4j.console.setting

## Class Prefixes

- java.lang.Object
- - org.eclipse.rdf4j.console.setting.ConsoleSetting<Set<Namespace>>
  - - org.eclipse.rdf4j.console.setting.Prefixes

- All Implemented Interfaces:
    Help, Setting<Set<Namespace>>

      public class Prefixes
      extends ConsoleSetting<Set<Namespace>>

  Namespace prefix setting
  Author:
    Bart Hanssens

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Set<Namespace>` | `DEFAULT`
    `static String` | `NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Prefixes()` Constructor Default set of namespaces are well-known ones
    `Prefixes(Set<Namespace> initValue)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Clear setting
    `String` | `getAsString()` Get the value for this setting as a string
    `String` | `getHelpLong()` Get long description
    `String` | `getName()` Get the name of the command
    `void` | `setFromString(String value)` Set the value for this setting from a string

    - ### Methods inherited from class org.eclipse.rdf4j.console.setting.ConsoleSetting

      `get, getHelpShort, getInitValue, getType, set`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

    - #### DEFAULT

          public static final Set<Namespace> DEFAULT

  - ### Constructor Detail

    - #### Prefixes

          public Prefixes()

      Constructor Default set of namespaces are well-known ones

    - #### Prefixes

          public Prefixes(Set<Namespace> initValue)

      Constructor
      Parameters:
        `initValue` -

  - ### Method Detail

    - #### getHelpLong

          public String getHelpLong()

      Description copied from class: `ConsoleSetting`
      Get long description
      Specified by:
        `getHelpLong` in interface `Help`
      Overrides:
        `getHelpLong` in class `ConsoleSetting<Set<Namespace>>`
      Returns:
        string, can be multiple lines

    - #### getName

          public String getName()

      Description copied from interface: `Help`
      Get the name of the command
      Returns:
        string

    - #### clear

          public void clear()

      Description copied from interface: `Setting`
      Clear setting
      Specified by:
        `clear` in interface `Setting<Set<Namespace>>`
      Overrides:
        `clear` in class `ConsoleSetting<Set<Namespace>>`

    - #### getAsString

          public String getAsString()

      Description copied from class: `ConsoleSetting`
      Get the value for this setting as a string
      Overrides:
        `getAsString` in class `ConsoleSetting<Set<Namespace>>`
      Returns:
        string value

    - #### setFromString

          public void setFromString(String value)
                             throws IllegalArgumentException

      Description copied from class: `ConsoleSetting`
      Set the value for this setting from a string
      Specified by:
        `setFromString` in class `ConsoleSetting<Set<Namespace>>`
      Parameters:
        `value` - string value
      Throws:
        `IllegalArgumentException`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.